io.undertow.server.handlers

## Class BlockingReadTimeoutHandler

- java.lang.Object
- - io.undertow.server.handlers.BlockingReadTimeoutHandler

All Implemented Interfaces:
  HttpHandler

    public final class BlockingReadTimeoutHandler
    extends Object
    implements HttpHandler

`BlockingReadTimeoutHandler` allows configurable blocking I/O timeouts for read operations within an exchange.

Unlike Options.READ_TIMEOUT this only applies to blocking operations which can be helpful to prevent the worker pool from becoming saturated when clients stop responding.

When a timeout occurs, a `ReadTimeoutException` is thrown, and the `ServerConnection` is closed.

Author:
  Carter Kozak

### Nested Class Summary

Nested Classes
`static class` `BlockingReadTimeoutHandler.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BlockingReadTimeoutHandler.Builder` `builder()`
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### builder

    public static BlockingReadTimeoutHandler.Builder builder()